[![SWUbanner](https://raw.githubusercontent.com/vshymanskyy/StandWithUkraine/main/banner2-direct.svg)](https://vshymanskyy.github.io/StandWithUkraine)

# Canvacord

Easily generate images using html and css in nodejs. Canvacord is suitable for creating dynamic images such as social media posts, greetings cards, memes, etc. It is also possible to create your own templates and builders to generate images. You are only limited by your imagination.

## Features

- 🪟 **Open source, no privacy issues, 100% transparent** - Canvacord is completely open source and free to use. This makes everything transparent and you can even contribute to the project. Best of all, you dont have to worry about privacy issues 😊.
- 💪 **Easy to use** - Canvacord provides a simple api to generate images on-the-fly.
- 🎨 **Customizable** - You can create your own templates and builders to generate images. Canvacord allows you to define how your image should look using html and css. No more hassle learning complicated canvas api.
- 🚀 **Fast** - Canvacord is powered by highly optimized, battle tested libraries, which makes it fast and reliable.
- 🔒 **Typescript support** - Canvacord is written in typescript and provides type definitions out of the box.
- 📸 **Wide formats support** - Canvacord supports many image formats such as png, jpeg, webp, gif, svg, etc.
- 📄 **Wide range of templates** - Canvacord provides many built-in templates to generate images such as triggered gif, beautiful image, facepalm image, etc. to quickly generate that meme you saw on reddit 🤡. No need to touch complicated canvas api, just a simple schema object is enough.

## Installation

```sh
$ npm install canvacord
```

Canvacord stays away from node-gyp based dependencies, so you don't have to worry about weird errors while installing the library. Although canvacord utilizes [@napi-rs/canvas](https://npm.im/@napi-rs/canvas) under the hood, it is recommended to use the builder api for image generation. Only utilize the canvas api if you need to perform image manipulation.

# Documentation

[https://canvacord.js.org](https://canvacord.js.org)

# Discord support server

[https://neplextech.com/discord](https://neplextech.com/discord)

# Support the project

You can support the project by donating on [patreon](https://www.patreon.com/twlite) or [buymeacoffee](https://www.buymeacoffee.com/twlite). This will help us to keep the project alive and maintain it regularly. You can also contribute to the project by submitting a pull request or reporting a bug.

<a href="https://www.buymeacoffee.com/twlite"><img src="https://cdn.buymeacoffee.com/buttons/v2/default-yellow.png" alt="Buy me a coffee" width="200" height="50"></a> <a href="https://www.patreon.com/twlite"><img src="https://c5.patreon.com/external/logo/become_a_patron_button.png" alt="Become a Patron!" width="200" height="50"></a>

#### GPL-3.0 License - [Neplex Technologies](https://neplextech.com)

Mail to [info@neplextech.com](mailto:info@neplextech.com) for any questions or suggestions.
